-# To edit the mailto email target, edit the content below in-between the ('')...

- email_recipient = URI.encode_www_form_component('sponsorcommit@gitlab.com').gsub('+', '%20')
- email_subject = URI.encode_www_form_component('Sponsorship for Commit events').gsub('+', '%20')
- email_body = URI.encode_www_form_component('I would like more information about sponsorship opportunities.').gsub('+', '%20')

- email_link = 'mailto:'+email_recipient+'?subject='+email_subject+'&body='+email_body

- if current_page.data.expiration_date
  - expirationDate = Time.parse(current_page.data.expiration_date)
- else
  - expirationDate = Time.parse("2010-01-01")
- currentTime = Time.now.in_time_zone("Pacific Time (US & Canada)")


- if (expirationDate > currentTime)

  .container.text-center
    .row.u-margin-top-xl.u-margin-bottom-xl
      .col-md-12
        %h1 Become a sponsor
        %h4.u-margin-top-sm{style: "font-weight: 300;"} Interested in sponsoring GitLab Commit? Email 
        %h3 
          = succeed ' ' do
            %a{href: email_link, style: "text-decoration: underline; font-weight: 600;"} #{email_recipient}
        %h4{style: "font-weight: 300;"}
          for more information.

- else

  .container.text-center
    .row.u-margin-top-xl.u-margin-bottom-xl
      .col-md-12
        %h1 Sponsorship for this event has closed
        %h4.u-margin-top-sm{style: "font-weight: 300;"} Interested in becoming a sponsor of a future GitLab Commit? Email 
        %h3 
          = succeed ' ' do
            %a{href: email_link, style: "text-decoration: underline; font-weight: 600;"} #{email_recipient}
        %h4{style: "font-weight: 300;"}
          for more information.
